/**
 * Beschreibt Kreise.
 * 
 * @author Owyn
 * @version 2008-05-23
 */
public class Kreis {
    
    public static final double PI = 3.14159265358979;
    
    /**
     * @param radius Radius eines Kreises
     * @return Durchmesser des Kreises
     */
    public static double durchmesser(double radius) {
        return 2 * radius;
    }
    
    /**
     * @param radius Radius eines Kreises
     * @return Umfang des Kreises
     */
    public static double umfang(double radius) {
        return 2 * PI * radius;
    }
    
    /**
     * @param radius Radius eines Kreises
     * @return Flaeche des Kreises
     */
    public static double flaeche(double radius) {
        return PI * radius * radius;
    }
    
    private double radius;
    
    /**
     * Erzeugt ein neues Kreis-Objekt.
     * 
     * @param radius Radius des Kreises
     */
    public Kreis(double radius) {
        this.radius = radius;
    }
    
    /**
     * @return Radius des Kreis-Objekts
     */
    public double radius() { return radius; }
    
    /**
     * @return Durchmesser des Kreis-Objekts
     */
    public double durchmesser() {
        return durchmesser(radius);
    }
    
    /**
     * @return Umfang des Kreis-Objekts
     */
    public double umfang() {
        return umfang(radius);
    }
    
    /**
     * @return Flaeche des Kreis-Objekts
     */
    public double flaeche() {
        return flaeche(radius);
    }
    
    /**
     * Testet, ob zwei Kreise gleich gross sind.
     * 
     * @param k Zweiter Kreis
     * @return true, wenn k und das aktuelle Kreis-Objekt den gleichen Radius haben
     */
    public boolean isEqual(Kreis k) {
        return radius() == k.radius();
    }
    
    /**
     * Gibt Informationen ueber das Kreis-Objekt auf dem Bildschirm aus.
     */
    public void info() {
        System.out.println("Kreis mit Radius: " + radius());
        System.out.println(".....Durchmesser: " + durchmesser());
        System.out.println("..........Umfang: " + umfang());
        System.out.println(".........Flaeche: " + flaeche());
    }
    
}
